/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE
  e_obj_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_obj_not_exists, -04043);
BEGIN
  BEGIN
    EXECUTE IMMEDIATE 'DROP TYPE XXAS_TEMPL_STEP_PARTIC_TBL FORCE';
  EXCEPTION
    WHEN e_obj_not_exists THEN
      NULL;
  END;
  BEGIN
    EXECUTE IMMEDIATE 'DROP TYPE XXAS_TEMPL_STEP_PARTIC FORCE';
  EXCEPTION
    WHEN e_obj_not_exists THEN
      NULL;
  END;
END;  
/

CREATE OR REPLACE TYPE XXAS_TEMPL_STEP_PARTIC AS OBJECT
  (PERF_PARTICIPANT_ID                   number
  ,END_STEP_ALLOWED_FLAG                 varchar2(1)
  ,START_FLAG                            varchar2(1)
  ,TEMPLATE_USAGE                        number
  );
/
  
CREATE TYPE XXAS_TEMPL_STEP_PARTIC_TBL AS TABLE OF XXAS_TEMPL_STEP_PARTIC;
/


COMMIT;
EXIT;
